osl::move_generator::drop Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
osl::move_generator::drop Namespace Reference

## Functions
template<Player P, class Action , bool hasPawn, bool hasLance, bool hasKnight, int N>
void | generateX (const NumEffectState &state, Action &action, int x, Move m1, Move m2, Move m3, Ptype t1, Ptype t2, Ptype t3)
| Nは有効なptypeの数 http://d.hatena.ne.jp/LS3600/200911 2009-11-10 参照 More...
template<Player P, class Action , bool hasPawn, bool hasLance, bool hasKnight, int N>
void | generate (const NumEffectState &state, Action &action, Move m1, Move m2, Move m3, Ptype t1, Ptype t2, Ptype t3)
template<Player P, class Action , bool hasPawn, bool hasLance, bool hasKnight>
static void | checkSilver (const NumEffectState &state, Action &action)
template<Player P, class Action , bool hasPawn, bool hasLance>
static void | checkKnight (const NumEffectState &state, Action &action)
template<Player P, class Action , bool hasPawn>
static void | checkLance (const NumEffectState &state, Action &action)

## Function Documentation

template<Player P, class Action , bool hasPawn, bool hasLance>

static void osl::move_generator::drop::checkKnight | ( | const NumEffectState & | state,
|  | Action & | action
| ) |  |
| static

Definition at line 308 of file drop.tcc.

template<Player P, class Action , bool hasPawn>

static void osl::move_generator::drop::checkLance | ( | const NumEffectState & | state,
|  | Action & | action
| ) |  |
| static

Definition at line 317 of file drop.tcc.

template<Player P, class Action , bool hasPawn, bool hasLance, bool hasKnight>

static void osl::move_generator::drop::checkSilver | ( | const NumEffectState & | state,
|  | Action & | action
| ) |  |
| static

Definition at line 179 of file drop.tcc.

References osl::BISHOP, osl::GOLD, osl::Move::makeDirect(), osl::PTYPE_EMPTY, osl::ROOK, osl::SILVER, and osl::Square::STAND().

template<Player P, class Action , bool hasPawn, bool hasLance, bool hasKnight, int N>

void osl::move_generator::drop::generate | ( | const NumEffectState & | state,
|  | Action & | action,
|  | Move | m1,
|  | Move | m2,
|  | Move | m3,
|  | Ptype | t1,
|  | Ptype | t2,
|  | Ptype | t3
| ) |  |

Definition at line 150 of file drop.tcc.

template<Player P, class Action , bool hasPawn, bool hasLance, bool hasKnight, int N>

void osl::move_generator::drop::generateX | ( | const NumEffectState & | state,
|  | Action & | action,
|  | int | x,
|  | Move | m1,
|  | Move | m2,
|  | Move | m3,
|  | Ptype | t1,
|  | Ptype | t2,
|  | Ptype | t3
| ) |  |

Nは有効なptypeの数 http://d.hatena.ne.jp/LS3600/200911 2009-11-10 参照

Definition at line 17 of file drop.tcc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::Piece::isEmpty(), osl::KNIGHT, osl::LANCE, osl::Move::newAddTo(), osl::PAWN, osl::ROOK, and osl::SILVER.